org.apache.log4j.rule

## Class ColorRule

- java.lang.Object
- - org.apache.log4j.rule.AbstractRule
  - - org.apache.log4j.rule.ColorRule

- All Implemented Interfaces:
    Serializable, Rule

      public class ColorRule
      extends AbstractRule
      implements Serializable

  A Rule class which also holds a color.
  Author:
    Scott Deboy (sdeboy@apache.org)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorRule(String expression, Rule rule, Color backgroundColor, Color foregroundColor)` Create new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(org.apache.log4j.spi.LoggingEvent event, Map matches)` Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.
    `Color` | `getBackgroundColor()` Get background color.
    `String` | `getExpression()` Get expression.
    `Color` | `getForegroundColor()` Get foreground color.
    `Rule` | `getRule()` Get rule.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.log4j.rule.AbstractRule

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColorRule

          public ColorRule(String expression,
                   Rule rule,
                   Color backgroundColor,
                   Color foregroundColor)

      Create new instance.
      Parameters:
        `expression` - expression.
        `rule` - rule.
        `backgroundColor` - background color.
        `foregroundColor` - foreground color.

  - ### Method Detail

    - #### getRule

          public Rule getRule()

      Get rule.
      Returns:
        underlying rule.

    - #### getForegroundColor

          public Color getForegroundColor()

      Get foreground color.
      Returns:
        foreground color.

    - #### getBackgroundColor

          public Color getBackgroundColor()

      Get background color.
      Returns:
        background color.

    - #### getExpression

          public String getExpression()

      Get expression.
      Returns:
        expression.

    - #### evaluate

          public boolean evaluate(org.apache.log4j.spi.LoggingEvent event,
                         Map matches)

      Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.

      What True/False means can be client-specific.

      Specified by:
        `evaluate` in interface `Rule`
      Parameters:
        `event` - LoggingEvent this instance will evaluate
        `matches` - a Map of event field keys to Sets of matching strings (may be null) which will be updated during execution of this method to include field and string matches based on the rule evaluation results
      Returns:
        true if this Rule instance accepts the event, otherwise false.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.